{% extends 'base.html' %}

{% block title %}
    {{recipe_object.title}} - Scrumptious Recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a href="{% url "recipe_list" %}" class="Main">Main Page</a>
            <a href="{% url "create_recipe" %}" class="Main">Create a Recipe</a>
            <a href="{% url 'my_recipe_list' %}" class="Main">My Recipes</a>
        </nav>
    </header>
    <main>
        <h1>{{recipe_object.title}}</h1>
        <div>Written by {{recipe_object.author.first_name}} {{recipe_object.author.last_name}}</div>
        <div></div>
        <div>{{recipe_object.created_on|date:"F d Y"}}</div>
        <img src = "{{recipe_object.picture}}"
            alt = "{{recipe_object.title}}">
        <div>4.3 stars</div>
        <div>{{recipe_object.description}}</div>

        <h2>Ingredients</h2>
        <div class="veggies">
            <table>
                <thead>
                    <th>Amount</th>
                    <th>Food item</th>
                </thead>
                <tbody>
                    {% for ingredient in recipe_object.ingredients.all %}
                        <tr>
                            <td>{{ingredient.amount}}</td>
                            <td>{{ingredient.food_item}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <h2>Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all%}
                <li>{{step.instruction}}</li>
            {% endfor %}
        </ol>
        <div>
            <a href = "{% url "edit_recipe" recipe_object.id %}">Edit Recipe</a>
    </main>
{% endblock content %}